#ifndef MESH_PROCESSING_H
#define MESH_PROCESSING_H

#include "my_mesh.h"
#include "mesh_processor_painter.h"
#include <vector>
#include <QObject>


class MeshProcessor : public QObject {
	Q_OBJECT

public:
	MyMesh mesh;
	MyMesh patch;

	MeshProcessor(const QString &path);

public slots:
	void fillHoles();
};


#endif